;;; $Id: delete-even-mod.scm,v 1.2 2006/01/05 22:24:09 leavens Exp $
;;; AUTHOR: Dalei Li and Gary T. Leavens

(module delete-even-mod (lib "typedscm.ss" "typedscm")

(provide delete-even)

(deftype delete-even (-> ((list-of number)) (list-of number)))
(define delete-even
  (lambda (lon)
    ;; ENSURES: Result is like lon but without its even elements.
    (if (null? lon)
        '()
        (if (even? (car lon))
            (delete-even (cdr lon))
            (cons (car lon) (delete-even (cdr lon)))))))

) ;; end module
