;;; $Id: indirect-arrays.tst,v 1.2 2006/04/05 05:15:11 leavens Exp $

(require (lib "indirect-arrays.scm" "lib342"))

(run-regression-tests-equal?
 `(

   ( ((array-of number?) (make-array 3 0)) ==> #t )
   ( (array-length (make-array 3 #f)) ==> 3 )
   ( (array-length (make-array 71 "hi")) ==> 71 )
   ( (array-ref (make-array 2 342) 0) ==> 342 )
   ( (array-ref (make-array 2 0) 1) ==> 0 )
   ( (eq? (make-array 2 0) (make-array 2 0)) ==> #f )
   ( (let ((a (make-array 3 0)))
       (array-set! a 0 20)
       (array-set! a 1 15)
       (array-set! a 2 102)
       (array-set! a 2 105)
       (list (array-ref a 0) (array-ref a 1) (array-ref a 2)))
     ==> (20 15 105) )

   ( (let ((a (make-array 5 0)))
       (array-set! a 0 0)
       (array-set! a 1 1)
       (array-set! a 2 2)
       (array-set! a 3 3)
       (array-set! a 0 100)
       (array-set! a 2 -42)
       (array-set! a 2 -4)
       (list (array-ref a 0) (array-ref a 1) (array-ref a 2) (array-ref a 3)))
     ==> (100 1 -4 3) )

    )
 )
