;;; $Id: list-map-mod.tst,v 1.1 2006/01/04 07:42:11 leavens Exp $

(require (lib "list-map-mod.scm" "lib342"))

(run-regression-tests-equal?
 `(
    ( (list-map even? '(-5 4)) ==> (#f #t) )
    ( (list-map even? '(4)) ==> (#t) )
    ( (list-map even? '()) ==> () )
    
    ( (list-map (lambda (x) (+ x 1)) '(1 2 -5 4 10 100 411241414311230))
      ==> (2 3 -4 5 11 101 411241414311231) )
    ( (list-map (lambda (x) (+ x 1)) '(2 -5 4 10 100 411241414311230))
      ==> (3 -4 5 11 101 411241414311231) )
    ( (list-map (lambda (x) (+ x 1)) '(-5 4 10 100 411241414311230))
      ==> (-4 5 11 101 411241414311231) )

    ( (list-map (lambda (x) (+ x 1)) '()) ==> () )

    )
 )

