;;; $Id: select-outerwear-mod.scm,v 1.2 2006/01/04 07:00:55 leavens Exp $
;;; AUTHOR: Gary T. Leavens

(module select-outerwear-mod (lib "typedscm.ss" "typedscm")

(provide select-outerwear)

(deftype select-outerwear (-> (temperature) symbol))

(require (lib "temperature-mod.scm" "lib342"))

(define select-outerwear
  (lambda (temp)
    (cond
     ((hot? temp) 'none)
     ((warm? temp) 'wind-breaker)
     (else 'down-jacket))))

) ;; end module
