;;; $Id: valid-number-mod.tst,v 1.2 2006/01/05 22:24:09 leavens Exp $

(require (lib "valid-number-mod.scm" "lib342")
         (lib "phone-number-mod.scm" "lib342"))

(run-regression-tests-equal?
 `(

   ( (not (not
           (valid-number? (phone-number (exchange 555) (subscriber 1212)))))
     ==> #t )
   ( (not (not
           (valid-number? (phone-number (exchange 555) (subscriber 4234)))))
     ==> #t )
   ( (valid-number? (phone-number (exchange 0) (subscriber 0)))
     ==> #f )
   ( (valid-number? (phone-number (exchange 007) (subscriber 4234)))
     ==> #f )
   ( (valid-number? (phone-number (exchange 444) (subscriber 1234)))
     ==> #f )
   ( (not (not
           (valid-number? (phone-number (exchange 444) (subscriber 9899)))))
     ==> #t )

    )
 )
