;;; $Id: fib-mod.scm,v 1.1 2005/12/30 18:40:33 leavens Exp $

(module fib-mod (lib "typedscm.ss" "typedscm")

  (provide fib)
  
  (deftype fib (-> (number) number))
  (define fib
    (lambda (n)
      (if (zero? n)
          0
          (fib-iter n 0 1))))
  
  (deftype fib-iter (-> (number number number) number))
  (define fib-iter
    (lambda (n prev last)
      (if (< n 2)
          last
          (fib-iter (- n 1) last (+ prev last)))))
  )
