;;; $Id: iseq-map-mod.scm,v 1.2 2006/01/05 22:24:09 leavens Exp $
;;; AUTHOR: Gary T. Leavens

(module iseq-map-mod (lib "typedscm.ss" "typedscm")

(provide iseq-map
         ;; all-from iseq-mod.scm
         iseq? iseq iseq->head iseq->tail)

(require (lib "iseq-mod.scm" "lib342"))

(deftype iseq-map
  (-> ((-> (number) number) iseq) iseq))
(define iseq-map
  (lambda (f seq)
    (iseq (f (iseq->head seq))
          (lambda () (iseq-map f (iseq->tail seq))))))
) ;; end module
