;;; $Id: iseq-mod.tst,v 1.1 2005/12/30 21:46:28 leavens Exp $

(require (lib "iseq-mod.scm" "lib342"))

(define ones (iseq 1 (lambda () ones)))
(define twos (iseq 2 (lambda () twos)))

(run-regression-tests-equal?
 `(

   ( (iseq? ones) ==> #t )
   ( (iseq? twos) ==> #t )
   ( (iseq->head ones) ==> 1 )
   ( (iseq->head (iseq->tail ones)) ==> 1 )
   ( (iseq->head (iseq->tail (iseq->tail ones))) ==> 1 )
   ( (iseq->head twos) ==> 2 )
   ( (iseq->head (iseq->tail twos)) ==> 2 )
   ( (iseq->head (iseq->tail (iseq->tail twos))) ==> 2 )

    )
 )
