;;; $Id: make-all-positive-mod.scm,v 1.2 2006/01/05 22:24:09 leavens Exp $
;;; AUTHOR: Dalei Li and Gary T. Leavens

(module make-all-positive-mod (lib "typedscm.ss" "typedscm")

(provide make-all-positive)

(deftype make-all-positive (-> ((list-of number)) (list-of number)))
(define make-all-positive
  (lambda (lon)
    ;; ENSURES: Result is like lon but with all its negative elements
    ;; changed to their absolute value.
    (if (null? lon)
        '()
        (cons (abs (car lon)) (make-all-positive (cdr lon))))))

) ;; end module
