;;; $Id: targets-mod.tst,v 1.2 2006/01/05 22:24:09 leavens Exp $

(require (lib "targets-mod.scm" "lib342")
         (lib "statement-expression.scm" "lib342")
         (lib "set-ops-as-vector.scm" "lib342"))

(run-regression-tests-equal?
 `(

    ( (set-equal?
       (targets (parse-statement 'x))
       (set )) ==> #t )

    ( (set-equal?
       (targets (parse-statement '(set! x 3)))
       (set 'x)) ==> #t )

    ( (set-equal?
       (targets
        (parse-statement
         '(set! x (begin (set! y 4) y))))
       (set 'x 'y)) ==> #t )

    ( (set-equal?
       (targets
        (parse-statement
         '(set! x
                (begin
                  3
                  z
                  (set! q (begin (set! m 7) n))
                  (set! y 4)
                  y))))
       (set 'x 'y 'q 'm)) ==> #t )

    )
 )
