;;; $Id: vector-map-bang-mod.scm,v 1.2 2006/01/05 22:24:09 leavens Exp $

(module vector-map-bang-mod (lib "typedscm.ss" "typedscm")

(provide vector-map!)

(deftype vector-map! (forall (T) (-> ((-> (T) T) (vector-of T)) void)))
(define vector-map!
  (lambda (f v)
    (vector-map-iter! f v (- (vector-length v) 1))))

;;   (vector-map-iter! add1 #(3 4 2) 2)
;; = (vector-map-iter! add1 #(3 4 3) 1)
;; = (vector-map-iter! add1 #(3 5 3) 0)
;; = (vector-map-iter! add1 #(4 5 3) -1)
;; returns

(deftype vector-map-iter! (forall (T) (-> ((-> (T) T) (vector-of T) number)
                                          void)))
(define vector-map-iter!
  (lambda (f v i)
    (if (>= i 0)
        (begin
          (vector-set! v i (f (vector-ref v i)))
          (vector-map-iter! f v (- i 1))))))

) ;; end module
